Bug 442965 - Graphical dual head configuration doesn't detect second video card
Graphical dual head configuration doesn't detect second video card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 17:29 EDT by Scott Harvanek
Modified: 2009-07-14 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.12 KB, text/plain)
2008-04-17 17:29 EDT, Scott Harvanek
no flags Details
Xorg.1.log (1.17 KB, text/plain)
2008-04-18 11:44 EDT, Scott Harvanek
no flags Details

  None (edit)
Description Scott Harvanek 2008-04-17 17:29:46 EDT
Description of problem:


xorg-x11-server-Xorg-1.4.99.901-22.20080415.fc9.x86_64

latest rawhide, when you attempt to configure a secondary graphics adapter via
system-config-display you do not see a list of installed graphics cards however
Xorg does recognize them:

(--) PCI:*(0@0:13:0) nVidia Corporation GeForce 6100 nForce 430 rev 162, Mem @
0xdc000000/16777216, 0xb0000000/268435456, 0xdb000000/16777216, BIOS @ 0x?????
???/131072
(--) PCI: (0@2:0:0) nVidia Corporation G70 [GeForce 7600 GS] rev 161, Mem @
0xdf000000/16777216, 0xc0000000/268435456, 0xde000000/16777216, I/O @ 0x0000ec00/
128, BIOS @ 0x????????/131072
(==) Matched nv for the autoconfigured driver



How reproducible:
100%

Steps to Reproduce:
1. Use two (nvidia) graphics cards and attempt to configure dual head
2. load system-config-display
3. click on Dual-Head tab to see a empty list
  
Actual results:
System will not run dual head and hangs if you attempt to manual configure it.


Expected results:
Working dual head display that works in F8


Additional info:
Comment 1 Scott Harvanek 2008-04-17 17:29:46 EDT
Created attachment 302816 [details]
xorg.conf
Comment 2 Matěj Cepl 2008-04-18 09:59:59 EDT
Could we get /var/log/Xorg.0.log as well, please?
Comment 3 Scott Harvanek 2008-04-18 11:44:46 EDT
Created attachment 302896 [details]
Xorg.1.log

This is the log from the last boot where I had the issue (Xorg.0.log is clear
as I reverted to single head).

Notice the keyboard line, however I *do not* have any keyboard line in my
xorg.conf...

Does xorg.conf get used by rhgb? rhgb completely hangs when I try and run dual
head.
Comment 4 Scott Harvanek 2008-04-24 19:01:01 EDT
This is *NOT* an nvidia bug.  This is a Xorg bug (I think, at the least it's not
nVidia), if I set a BusID parameter *no matter which driver I'm using* whether
it be the 'nv' 'nvidia' *or* vesa driver the system locks up, hell even doing
*single* head with a BusID parameter it crashes.

Help?
Comment 5 Matěj Cepl 2008-04-28 09:44:38 EDT
Where do you have your nvidia driver from? nVidia website or some other repo
(packaged as rpm)? If the former, please, follow the instructions on
http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers to make sure, that your
installation is OK (it IS damaged by the installation of nVidia tarball).

Otherwise, assigning to developers.
Comment 6 Scott Harvanek 2008-05-02 18:06:12 EDT
I've tried the nv driver from standard repos, and I've tried the driver from the
nVidia website :)

-Scott
Comment 7 Matěj Cepl 2008-05-03 05:53:00 EDT
(In reply to comment #6)
> I've tried the driver from the nVidia website :)

Although we don't like (and support) binary-only nVidia drivers at all, it is
much better to use it at least packaged for your particular version of Fedora. I
am not allowed where to find the repository, but if you find it yourself, AFAIK
it doesn't corrupt other parts of Xorg (see the URL in comment 5 for more
explanation on this).
Comment 8 Bug Zapper 2008-05-14 05:36:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Dale Muhlethaler 2008-10-09 23:06:06 EDT
I am experiencing a very similar problem with FC9 i386 and am using two nVidea NV11 [GeForce2 MX/MX 400 Cards.  The primary card is PCI and the secondary card is AGP.
This setup was functioning very well in FC8. I did a clean install to FC9 and experienced the same problems as Mr. Harvanek. Then I went back and did a clean *reinstall* of FC8 and manually reconfigured xorg.conf to work with the above video cards.  Then today I tried the PreUpgrade version of moving from FC8 to FC9.
The tranfer was not problem free but the FC8 version of xorg.conf caused the boot up to crash right after Starting udev  [OK] had occurred.
I was able to modify my FC8 version of xorg.conf by commenting out the BusID lines. That would allow me to use my primary screen only. 
From searching several threads on this problem I suspect that the problem may revolve around changes made in FC9 for the xandr feature.
I have only used the nv drivers provided by the fedora distros.
Until this problem can be resolved I will spend the majority of my computer time using the dual monitor feature in Microsoft XP Home. I monitor this bug report from there.
Divit11
Comment 10 Scott Harvanek 2008-12-10 20:50:00 EST
This issue still exists in F10.  Same exact symptoms.
Comment 11 Dale Muhlethaler 2008-12-30 01:04:22 EST
Scott, I have resolved my similar problem with F10 by following the instructions on Mauriat Miranda's web page Fedora Nvidia Driver Install Guide: http://www.mjmwired.net/resources/mjm-fedora-nvidia.html
I think Matej Cepl's cryptic comment #7 may have been in reference to this approach.  After installing the nVidia driver I rebooted and removed the xorg.conf file and rebooted again.  The replacement file was then easy to modify to get both of my GeForce2 MX/MX 400 video cards to fire up (one PCI and one AGP 2x).  I was also able to add the Option "Xinerama" "true" which now works like it did way back in FC8. I also found a very large Readme File from nVidia that was helpful in adding sections and content to the xorg.conf file.
Hope this is of some help.
dmuhlethaler at comcast dot net
Comment 12 Matěj Cepl 2009-01-05 09:26:22 EST
(In reply to comment #11)
> I think Matej Cepl's cryptic comment #7 may have been in reference to this
> approach.

I am sorry, but I am not allowed to be more clear than I was.
Comment 13 Bug Zapper 2009-06-09 20:14:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:36:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.